List Blog Posts
curl --request GET \
--url https://api.example.com/v1/blog-posts \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/v1/blog-posts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/v1/blog-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"target": "<string>",
"brand": "<string>",
"organization_id": "<string>",
"title": "<string>",
"slug": "<string>",
"status": "<string>",
"excerpt": "<string>",
"content": "<string>",
"author": "<string>",
"tags": [],
"featured_image": "<string>",
"category": "<string>",
"date": "<string>",
"publish_to_website": true,
"publish_to_portal": true,
"is_pinned": true,
"published_at": "<string>",
"scheduled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Session not found",
"status": 404,
"details": {}
}
}Blog
List Blog Posts
List blog posts visible to the key: its OWN org’s posts always, plus platform
posts when the key has the platform-blog capability. Optional brand/status/target
filters. Includes drafts (this is an authoring surface). Requires read.
GET
/
v1
/
blog-posts
List Blog Posts
Authorizations
Org API key as Token token=ei_live_...
Query Parameters
Filter by brand (equateit | classquill).
Filter by status (draft | published).
Filter by target (platform | org).
Records per page (default 50, max 200)
Required range:
1 <= x <= 200Pagination offset
Required range:
x >= 0Response
Successful Response
Was this page helpful?